| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Functions
ColorSec Namespace Reference

ColorSec. More...

## Functions
std::unordered_map< std::string, QColor > | getColors () noexcept
| Provides a map with pre-made colors.
std::unordered_map< ColorsScheme, std::unordered_map< std::string, QString > > | getColorSchemes () noexcept
| Provides a map with pre-made color-schemes for the TextBrowser.
void | applyChartTheme (const std::unordered_map< std::string, QFont > &fonts, QChartView *chart_view)
| Applies the choosen theme to the given chart.

## Detailed Description

ColorSec.

Utilities for the colors

## Function Documentation

## ◆ applyChartTheme()

void ColorSec::applyChartTheme | ( | const std::unordered_map< std::string, QFont > & | fonts,
|  | QChartView * | chart_view )

Applies the choosen theme to the given chart.

Parameters

  fonts | The fonts set
  chart_view | The chart on which the theme will be applied

Exceptions

  DoNotCatchException |